Package org.apache.tapestry5.commons.util

# Class AbstractMessages

java.lang.Object
org.apache.tapestry5.commons.util.AbstractMessages

All Implemented Interfaces:
  `Messages`

Direct Known Subclasses:
  `MapMessages`, `MessagesImpl`

public abstract class AbstractMessages extends Object implements Messages
Abstract implementation of `Messages` that doesn't know where values come from (that information is supplied in a subclass, via the `valueForKey(String)` method).

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractMessages(Locale locale)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(String key)`
  Returns true if the bundle contains the named key.
  `String`
  `format(String key, Object... args)`
  Convenience for accessing a formatter and formatting a localized message with arguments.
  `String`
  `get(String key)`
  Returns the localized message for the given key.
  `MessageFormatter`
  `getFormatter(String key)`
  Returns a formatter for the message, which can be used to substitute arguments (as per `Formatter`).
  `protected abstract String`
  `valueForKey(String key)`
  Invoked to provide the value for a particular key.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.tapestry5.commons.Messages

  `getKeys`

- ## Constructor Details

  - ### AbstractMessages

    protected AbstractMessages(Locale locale)

- ## Method Details

  - ### valueForKey

    protected abstract String valueForKey(String key)
    Invoked to provide the value for a particular key. This may be invoked multiple times even for the same key. The implementation should ignore the case of the key.
    Parameters:
      `key` - the key to obtain a value for (case insensitive)
    Returns:
      the value for the key, or null if this instance can not provide the value

  - ### contains

    public boolean contains(String key)
    Description copied from interface: `Messages`
    Returns true if the bundle contains the named key.
    Specified by:
      `contains` in interface `Messages`

  - ### get

    public String get(String key)
    Description copied from interface: `Messages`
    Returns the localized message for the given key. If catalog does not contain such a key, then a modified version of the key is returned (converted to upper case and enclosed in brackets).
    Specified by:
      `get` in interface `Messages`
    Returns:
      localized message for key, or placeholder

  - ### getFormatter

    public MessageFormatter getFormatter(String key)
    Description copied from interface: `Messages`
    Returns a formatter for the message, which can be used to substitute arguments (as per `Formatter`).
    Specified by:
      `getFormatter` in interface `Messages`
    Returns:
      formattable object

  - ### format

    public String format(String key, Object... args)
    Description copied from interface: `Messages`
    Convenience for accessing a formatter and formatting a localized message with arguments.
    Specified by:
      `format` in interface `Messages`